Download the node's branding as a bundle: a zip with branding.yaml (every set key; image keys name files in the zip) plus the image files. Re-import it on another node with place.stream.branding.importBundle. Requires admin authorization.
GET
/xrpc/place.stream.branding.exportBundle
const url = 'https://example.com/xrpc/place.stream.branding.exportBundle';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/xrpc/place.stream.branding.exportBundleParameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”broadcaster
DID of the broadcaster. Defaults to this node’s.
string format: did
DID of the broadcaster. Defaults to this node’s.
Responses
Section titled “Responses”Success
Media typeapplication/zip
Bad Request
Media typeapplication/json
object
error
required
One of:
string
message
required
string
Example
{ "error": "Unauthorized"}